{{- if .Values.backendPythonDB.enabled -}}
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  name: {{ include "fullname" (list . .Values.backendPythonDB.name) }}
  namespace: {{ $.Release.Namespace }}
  labels:
  {{- include "common.labels" (list . .Values.backendPythonDB.name) | nindent 4 }}
spec:
  endpoints:
    - interval: 30s
      targetPort: {{ .Values.backendPythonDB.service.port }}
      path: /metrics
  namespaceSelector:
    matchNames:
    - {{ $.Release.Namespace }}
  selector:
    matchLabels:
      {{- include "selector.labels" (list . .Values.backendPythonDB.name) | nindent 6 }}
{{- end }}
    
    